## net.i2p.apps.systray
Class ConfigFile

    java.lang.Object
      net.i2p.apps.systray.ConfigFile

    public class ConfigFile

extends java.lang.Object

Simple config file handler.

Author:
  hypercubus

Constructor Summary
`ConfigFile()`

Method Summary
`java.lang.String` `getProperty(java.lang.String key)`
`java.lang.String` `getProperty(java.lang.String key, java.lang.String defaultValue)`
`boolean` `init(java.lang.String configFile)` Initializes the `ConfigFile` object.
`void` `setProperty(java.lang.String key, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigFile

    public ConfigFile()

Method Detail

### init

    public boolean init(java.lang.String configFile)

  Initializes the `ConfigFile` object.

  Parameters:
    `configFile` - The config file to use.
  Returns:
    `false` if the given config file cannot be located or accessed, otherwise `true`.

### getProperty

    public java.lang.String getProperty(java.lang.String key)

### getProperty

    public java.lang.String getProperty(java.lang.String key,
                                        java.lang.String defaultValue)

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)